package com.ruoyi.web.modules.freight.domain;

import java.math.BigDecimal;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 店铺运费模版 biz_shop_freight_template
 */
public class BizShopFreightTemplate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long templateId;

    private Long shopId;

    private String templateName;

    private String shipTime;

    private String freeFlag;

    private String pricingType;

    private String isDefault;

    private BigDecimal firstUnit;

    private BigDecimal firstFee;

    private BigDecimal addUnit;

    private BigDecimal addFee;

    private BigDecimal freeThreshold;

    private String delFlag;

    /** 列表检索 */
    private String keyword;

    public Long getTemplateId()
    {
        return templateId;
    }

    public void setTemplateId(Long templateId)
    {
        this.templateId = templateId;
    }

    public Long getShopId()
    {
        return shopId;
    }

    public void setShopId(Long shopId)
    {
        this.shopId = shopId;
    }

    public String getTemplateName()
    {
        return templateName;
    }

    public void setTemplateName(String templateName)
    {
        this.templateName = templateName;
    }

    public String getShipTime()
    {
        return shipTime;
    }

    public void setShipTime(String shipTime)
    {
        this.shipTime = shipTime;
    }

    public String getFreeFlag()
    {
        return freeFlag;
    }

    public void setFreeFlag(String freeFlag)
    {
        this.freeFlag = freeFlag;
    }

    public String getPricingType()
    {
        return pricingType;
    }

    public void setPricingType(String pricingType)
    {
        this.pricingType = pricingType;
    }

    public String getIsDefault()
    {
        return isDefault;
    }

    public void setIsDefault(String isDefault)
    {
        this.isDefault = isDefault;
    }

    public BigDecimal getFirstUnit()
    {
        return firstUnit;
    }

    public void setFirstUnit(BigDecimal firstUnit)
    {
        this.firstUnit = firstUnit;
    }

    public BigDecimal getFirstFee()
    {
        return firstFee;
    }

    public void setFirstFee(BigDecimal firstFee)
    {
        this.firstFee = firstFee;
    }

    public BigDecimal getAddUnit()
    {
        return addUnit;
    }

    public void setAddUnit(BigDecimal addUnit)
    {
        this.addUnit = addUnit;
    }

    public BigDecimal getAddFee()
    {
        return addFee;
    }

    public void setAddFee(BigDecimal addFee)
    {
        this.addFee = addFee;
    }

    public BigDecimal getFreeThreshold()
    {
        return freeThreshold;
    }

    public void setFreeThreshold(BigDecimal freeThreshold)
    {
        this.freeThreshold = freeThreshold;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getKeyword()
    {
        return keyword;
    }

    public void setKeyword(String keyword)
    {
        this.keyword = keyword;
    }
}
